Subject: Re: bug#17994: Linux RAID MBR type code

From: Chris Murphy <[email-masked]>
Date: Mon, 14 Jul 2014 12:33:43 -0600

On Jul 14, 2014, at 12:08 PM, Phillip Susi <[email-masked]> wrote:
> 
> I've never tried the ext2 driver on Windows or used OSX.  I thought
> they required an explicit mount command.  Are you sure that these two
> OSes will automatically ( i.e. without being explicitly given a mount
> command ) try to mount an md 1.x partition that has a type code of
> 0x83?

I haven't test it, but as Apple long ago deprecated fstab in favor of automounting anything it recognizes, I'd expect it would automount this configuration. But what does happen isn't as important as what legitimately can happen now or in the future which is automounting because this is invited due to the use of the wrong type code.

>  Even if it does, they certainly already must leave 0xFD alone,
> so stick with that.
> 
>> That contradicts md developers' recommendations.
>> 
>> https://raid.wiki.kernel.org/index.php/Partition_Types 
>> https://raid.wiki.kernel.org/index.php/Autodetect
> 
> That page starts off by saying "There is no right answer - you can
> choose. "

That is a completely disingenuous reading. If you take the entire page as a whole, it's saying you can choose 0xfd with 0.9 metadata, or you can choose 0xda with 1.x metadata. It is not suggesting use of 0xfd with 1.x metadata.

And this has sufficiently explained the conflict with using either 0xfd or 0x83, even on Linux.

Chris Murphy